Download it now!
Bug 41034 - 3.4.x rtf breaks
Summary: 3.4.x rtf breaks
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-20 04:56 UTC by Yuego
Modified: 2012-03-19 14:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Word2007 (167.66 KB, application/pdf)
2011-09-20 04:56 UTC, Yuego
Details
LibreOffice Writer 3.3.4 (147.52 KB, application/pdf)
2011-09-20 04:57 UTC, Yuego
Details
LibreOffice Writer 3.4.3 (55.10 KB, application/pdf)
2011-09-20 04:57 UTC, Yuego
Details
Original Document (141.95 KB, application/rtf)
2011-09-20 04:58 UTC, Yuego
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuego 2011-09-20 04:56:51 UTC
Created attachment 51397 [details]
Word2007

From some. NET-applications are rtf-documents. Versions 3.3.x open their almost normal (a little bad. But not critical).
Version 3.4.x - breaking documents.

See attachments
Comment 1 Yuego 2011-09-20 04:57:25 UTC
Created attachment 51398 [details]
LibreOffice Writer 3.3.4
Comment 2 Yuego 2011-09-20 04:57:57 UTC
Created attachment 51399 [details]
LibreOffice Writer 3.4.3
Comment 3 Yuego 2011-09-20 04:58:41 UTC
Created attachment 51400 [details]
Original Document
Comment 4 Miklos Vajna 2011-11-10 05:25:49 UTC
Assign to me, will have a look.
Comment 5 Jean-Baptiste Faure 2011-12-11 12:53:14 UTC
Looks better in libreoffice-3-5 branch (LibreOffice 3.5.0 Version ID : 7b96bd7-7f15fca-1f1fd1a-ca8e46d-5bcbce4) under Ubuntu 10.04 x86_64 with FR langpack, but it is not yet correct.

Best regards. JBF
Comment 6 Miklos Vajna 2012-01-12 07:44:47 UTC
There were a few issues causing the test documented to be imported with larger cells than needed, causing an import result of 2 pages, as far as I see that's the only major difference.

This is now fixed in master: http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f15592e08f17908b1e54fed200d0ec6aff29509

Cherry-picked (along with a warning fix) to libreoffice-3-5: http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=375de2b8bcd591d013c3411ead2e24dc23a8115e
Comment 7 Jean-Baptiste Faure 2012-03-19 14:00:23 UTC
Fix confirmed in LO 3.5.1. Closing. Thank you.